LibreOffice: XTransferDataAccess Interface Reference

LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XTransferDataAccess Interface Referencepublished

This interface provides direct access to the data in all data flavors. More...

`import"XTransferDataAccess.idl";`

Inheritance diagram for XTransferDataAccess:

## Public Member Functions
hyper | queryDataSize ([in] sequence< DataFlavor > aFlavorList)
| To query for the summarized data size in bytes of a sequence of DataFlavor. More...
sequence< any > | getData ([in] sequence< DataFlavor > aFlavorList)
| To get all the data of a sequence of DataFlavor. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface provides direct access to the data in all data flavors.

It can be used by the clipboard implementation to optimize data transport on flush operations.

See also
  com::sun::star::datatransfer::XTransferable

## Member Function Documentation

## ◆ getData()

sequence< any > getData | ( | [in] sequence< DataFlavor > | aFlavorList | ) |

To get all the data of a sequence of DataFlavor.

Parameters

  aFlavorList | The sequence of requested DataFlavor.

An unsupported DataFlavor will be ignored.

Returns
  The data in the requested DataFlavor.

For unsupported DataFlavor an empty any will be returned.

## ◆ queryDataSize()

hyper queryDataSize | ( | [in] sequence< DataFlavor > | aFlavorList | ) |

To query for the summarized data size in bytes of a sequence of DataFlavor.

Parameters

  aFlavorList | A sequence of requested DataFlavor.

An unsupported DataFlavor will be ignored.

Returns
  The number of bytes of the transfer data in the specified sequence of DataFlavor.

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/XTransferDataAccess.idl